package enquete_profile.common;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
		"enquete_id",
		"answerList",
		"startAnswerDataDate",
		"endAnswerDataDate",
})
@XmlRootElement(name = "enquete_profile",namespace="http://www.robotservices.org/schemas/EnqueteAnswerData")
public class AnswerData {

	@XmlElement(name="euquete_id")
	private String enquete_id;

	@XmlElementWrapper(name = "answerList")
    @XmlElement(name="answer")
    private List<Answer> answerList = new ArrayList<Answer>();

	@XmlElement(name="startAnswerDataDate")
	private Date startAnswerDataDate;

	@XmlElement(name="endAnswerDataDate")
	private Date endAnswerDataDate;

	public List<Answer> getAnswerList() {
		return answerList;
	}

	public void setAnswerList(List<Answer> answerList) {
		this.answerList = answerList;
	}

	@Override
	public String toString() {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss.SSS z");
		String startDate = sdf.format(this.getStartAnswerDataDate());
		String endDate = sdf.format(this.getEndAnswerDataDate());
		String returnValue = String.format("enquete_id[%s] StartAnswerDate[%s] EndAnswerDate[%s]", enquete_id,startDate,endDate);
		if(getAnswerList() != null) {
			for(Answer answer:getAnswerList()) {
				returnValue = String.format("%s answer[%s] startAnswerDate[%s] endAnswerDate[%s]", returnValue,answer.toString(),sdf.format(answer.getStartAnswerDate()),sdf.format(answer.getEndAnswerDate()));
			}
		} else {
			returnValue = "answerList is null.";
		}
		return returnValue;
	}

	public String getEnquete_id() {
		return enquete_id;
	}

	public void setEnquete_id(String enquete_id) {
		this.enquete_id = enquete_id;
	}

	public Date getStartAnswerDataDate() {
		return startAnswerDataDate;
	}

	public void setStartAnswerDataDate(Date startAnswerDataDate) {
		this.startAnswerDataDate = startAnswerDataDate;
	}

	public Date getEndAnswerDataDate() {
		return endAnswerDataDate;
	}

	public void setEndAnswerDataDate(Date endAnswerDataDate) {
		this.endAnswerDataDate = endAnswerDataDate;
	}



}
